Bug 53614 - ucd-snmpd does not work with mrtg
Summary: ucd-snmpd does not work with mrtg
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ucd-snmp   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-12 21:24 UTC by Oliver Schulze L.
Modified: 2015-03-05 01:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-12 21:25:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Oliver Schulze L. 2001-09-12 21:24:57 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:0.9.2)
Gecko/20010726 Netscape6/6.1

Description of problem:
I have try ucd-snmp with mrtg with no success in RH7.1
This two programs does work in RH7.0

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. service snmpd start
2. cfgmaker public@localhost

	

Additional info:

Comment 1 Phil Knirsch 2001-09-29 15:46:15 UTC
This is 'expected' behaviour. Due to security concerns the configuration file
shipped with the ucd-snmpd package only allows very limited access to the system
information and by default does NOT allow the statistics of your ethernet
interfaces to be queried.

The required steps and configuration changes are documented in MRTG and the
ucd-snmp package.

Read ya, Phil

Comment 2 Oliver Schulze L. 2001-09-29 17:26:25 UTC
I case someone else read this, here is the solution.

Permit all access from localhost. 
This make much more sense, since that if you have and shell acount, 
you already can get all this info from the system without using snmp. 
So, giving snmp access will make life easyer.

com2sec local     localhost       public
group   MyGroup    v1            local
group   MyGroup    v2c           local
view    all            included      .1              80
access  MyGroup    ""      any       noauth    exact  all    all    all

Is this policy aceptable?

Thanks
Oliver



Note You need to log in before you can comment on or make changes to this bug.